| Apache Ignite C++

Classes | Functions
ignite::binary Namespace Reference

Ignite Binary Objects API. More...

## Classes
class | BinaryArrayReader
| Binary array reader. More...
class | BinaryArrayWriter
| Binary array writer. More...
class | BinaryCollectionReader
| Binary collection reader. More...
class | BinaryCollectionWriter
| Binary collection writer. More...
struct | BinaryEnum
| Binary enum structure. More...
struct | BinaryEnum< T * >
| BinaryEnum template specialization for pointers. More...
struct | BinaryEnumDefault
| Default implementations of BinaryEnum. More...
struct | BinaryEnumDefaultAll
| Default implementations of BinaryType hashing functions and non-null type behaviour. More...
class | BinaryEnumEntry
| Binary enum entry. More...
struct | BinaryEnumIntMinNull
| Implementations of BinaryEnum nullability when INT32_MIN ordinal value used as a NULL indicator. More...
class | BinaryMapReader
| Binary map reader. More...
class | BinaryMapWriter
| Binary map writer. More...
class | BinaryObject
| Binary object. More...
class | BinaryRawReader
| Binary raw reader. More...
class | BinaryRawWriter
| Binary raw writer. More...
class | BinaryReader
| Binary reader. More...
class | BinaryStringArrayReader
| Binary string array reader. More...
class | BinaryStringArrayWriter
| Binary string array writer. More...
struct | BinaryType
| Binary type structure. More...
struct | BinaryType< T * >
| BinaryType template specialization for pointers. More...
struct | BinaryTypeDefaultAll
| Default implementations of BinaryType hashing functions and non-null type behaviour. More...
struct | BinaryTypeDefaultHashing
| Default implementations of BinaryType hashing functions. More...
struct | BinaryTypeNonNullableType
| Default implementations of BinaryType methods for non-null type. More...
class | BinaryWriter
| Binary writer. More...
struct | CollectionType
| Binary collection types. More...
struct | MapType
| Binary map types. More...

## Functions
IGNITE_IMPORT_EXPORT int32_t | GetBinaryStringHashCode (const char *val)
| Get binary string hash code. More...

## Detailed Description

Ignite Binary Objects API.

## Function Documentation

## ◆ GetBinaryStringHashCode()

IGNORE_SIGNED_OVERFLOW int32_t ignite::binary::GetBinaryStringHashCode | ( | const char * | val | ) |

Get binary string hash code.

Parameters

  val | Value.

Returns
  Hash code.